Bug 1011920 - auto-opening password file does not work
auto-opening password file does not work
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: revelation (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 07:54 EDT by Tomasz Torcz
Modified: 2017-08-08 07:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 07:43:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomasz Torcz 2013-09-25 07:54:07 EDT
Description of problem:
In settings, I've set location of the password file to be opened on start. This does not work. When I start Revelation, I get two error dialogs.

First:
"Unable to open file

The file '/home/zdzichu/priv/has%C5%82a%20revelation' could not be opened. Make sure that the file exists, and that you have permissions to open it."

Second:

"Unknown error

An unknown error occured. Please report the text below to the Revelation developers, along with what you were doing that may have caused the error. You may attempt to continue running Revelation, but it may behave unexpectedly.

Traceback (most recent call last):
  File "/usr/bin/revelation", line 1833, in <module>
    app.run()
  File "/usr/bin/revelation", line 1591, in run
    self.file_open(io.file_normpath(file))
  File "/usr/bin/revelation", line 1481, in file_open
    entrystore = self.__file_load(file, password)
  File "/usr/bin/revelation", line 1019, in __file_load
    return result
UnboundLocalError: local variable 'result' referenced before assignment
"

If I click "Continue" Revelation continue to work, but I have to manually open password file.

The error is most likely caused by letter "ł" ('LATIN CAPITAL LETTER L WITH STROKE' (U+0141)) in the file name - ”hasła revelation”. The bug is in Revelation's handling of unicode characters.
LANG is pl_PL.utf8


Version-Release number of selected component (if applicable):
revelation-0.4.14-5.fc20.x86_64

How reproducible:
Always.
Comment 1 Jaroslav Reznik 2015-03-03 10:06:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora Admin XMLRPC Client 2015-09-09 15:30:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-07-19 06:26:25 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Fedora End Of Life 2017-07-25 14:35:27 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 07:43:29 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.